## itinerary 25.11.80

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "80")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(itinerary VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 6.7)
set(KF_MIN_VERSION 6.15)
set(GEAR_MIN_VERSION 25.08)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddAndroidApk)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

ecm_setup_version(PROJECT VARIABLE_PREFIX ITINERARY VERSION_HEADER itinerary_version.h)
set(ITINERARY_DETAILED_VERSION_STRING "${ITINERARY_VERSION}")
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    find_package(Git)
    set_package_properties(Git PROPERTIES TYPE OPTIONAL PURPOSE "Determine exact build version.")
    if (GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_VARIABLE _git_rev)
        string(REGEX REPLACE "\n" "" _git_rev "${_git_rev}")
        set(ITINERARY_DETAILED_VERSION_STRING "${ITINERARY_VERSION} (${_git_rev})")
    endif()
endif()

# build-time dependencies
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test Quick Positioning QuickControls2)
if(Qt6Core_VERSION VERSION_GREATER_EQUAL "6.9.0")
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED CorePrivate)
endif()
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
find_package(KPim6PkPass 6.5.80 CONFIG REQUIRED)
find_package(KPim6Itinerary 6.5.80 CONFIG REQUIRED)
find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)
find_package(Qt6Keychain CONFIG REQUIRED)
find_package(LibIcal 3.0)
find_package(ZLIB REQUIRED)
set(QUOTIENT_FORCE_NAMESPACED_INCLUDES ON)
find_package(QuotientQt6 0.9.0 CONFIG)
find_package(SeleniumWebDriverATSPI)
find_package(QCoro6 REQUIRED COMPONENTS Core Network)

set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
set_package_properties(KF6Solid PROPERTIES TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
set_package_properties(KHealthCertificate PROPERTIES TYPE OPTIONAL PURPOSE "Needed for the vaccination certificate manager.")
set_package_properties(QuotientQt6 PROPERTIES TYPE OPTIONAL PURPOSE "Needed for Matrix location sharing.")
set_package_properties(SeleniumWebDriverATSPI PROPERTIES PURPOSE "Needed for GUI tests" URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi" TYPE OPTIONAL)

include(ECMFindQmlModule)
# TODO all of these should be required, but that doesn't work with Flatpak/Android yet...
ecm_find_qmlmodule(QtLocation 6.0)
ecm_find_qmlmodule(QtMultimedia 6.0)
ecm_find_qmlmodule(QtPositioning 6.0)
ecm_find_qmlmodule(org.kde.kitemmodels ${KF_MIN_VERSION})
ecm_find_qmlmodule(org.kde.prison ${KF_MIN_VERSION})
ecm_find_qmlmodule(org.kde.prison.scanner ${KF_MIN_VERSION})
ecm_find_qmlmodule(org.kde.kosmindoormap ${GEAR_MIN_VERSION} REQUIRED)
ecm_find_qmlmodule(org.kde.kopeninghours ${GEAR_MIN_VERSION} REQUIRED)

# runtime dependencies are build-time dependencies on Android
if (ANDROID)
    find_package(Qt6 REQUIRED COMPONENTS Svg)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive ColorScheme Kirigami Prison)
    if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
        set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
    endif()
    find_package(OpenSSL REQUIRED)
    find_package(Gradle REQUIRED)
    set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
else()
    find_package(Qt6 REQUIRED COMPONENTS Widgets DBus)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
    find_package(SharedMimeInfo 1.0 REQUIRED)
    set(HAVE_DBUS ON)
endif()
if (TARGET KF6::Crash)
    set(HAVE_KCRASH TRUE)
endif()
if (TARGET KHealthCertificate)
    set(HAVE_KHEALTHCERTIFICATE TRUE)
endif()
if (TARGET QuotientQt6)
    set(HAVE_MATRIX TRUE)
else()
    set(HAVE_MATRIX FALSE)
endif()

ecm_set_disabled_deprecation_versions(
    QT ${QT_MIN_VERSION}
    KF 6.12
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# install Fontconfig workaround for emoji fonts in Flatpaks
if (FLATPAK_BUILD)
    install(FILES flatpak/99-noto-color-emoji.conf DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/fonts/local.conf)
endif()

ecm_qt_install_logging_categories(
    EXPORT ITINERARY
    FILE org_kde_itinerary.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(jnisignaturetest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jnipropertytest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jniarraytest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jnimethodtest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(androidwrappertest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)

if (TARGET LibIcal)
    ecm_add_test(androidicalconvertertest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras KCalendarCoreExtras LibIcal)
endif()

ecm_add_test(gpxwritertest.cpp LINK_LIBRARIES Qt::Test GpxIo)

ecm_add_test(pkpassmanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME pkpassmanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(reservationmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(applicationcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(importcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgrouptest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(locationinformationtest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinemodeltest.cpp modelverificationpoint.cpp TEST_NAME timelinemodeltest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinesectiondelegatecontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(publictransporttest.cpp TEST_NAME publictransporttest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(publictransportmatchertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinedelegatecontrollertest.cpp TEST_NAME timelinedelegatecontrollertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(documentmanagertest.cpp TEST_NAME documentmanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(documentsmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(statisticstest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(favoritelocationtest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(transfertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(livedatamanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME livedatamanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(healthcertificatemanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(passmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(calendarhelpertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(journeysectionmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(downloadjobtest.cpp mocknetworkaccessmanager.cpp TEST_NAME downloadjobtest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(onlineticketretrievaltest.cpp mocknetworkaccessmanager.cpp TEST_NAME onlineticketretrievaltest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupsplitmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgrouplocationmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(costaccumulatortest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(localizertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(utiltest.cpp LINK_LIBRARIES Qt::Test itinerary)

ecm_add_test(weathertest.cpp LINK_LIBRARIES Qt::Test itinerary-weather)
target_include_directories(weathertest PRIVATE ${CMAKE_BINARY_DIR})

if (HAVE_MATRIX)
    ecm_add_test(matrixsyncstateeventtest.cpp LINK_LIBRARIES Qt::Test itinerary)
    ecm_add_test(matrixsynccontenttest.cpp LINK_LIBRARIES Qt::Test itinerary)
    ecm_add_test(matrixsyncinboundstatequeuetest.cpp LINK_LIBRARIES Qt::Test itinerary)
    ecm_add_test(matrixsyncoutboundstatequeuetest.cpp LINK_LIBRARIES Qt::Test itinerary)
endif()

# verify QML code
add_test(NAME itinerary-self-test COMMAND itinerary-app --self-test)

# Selenium-based UI tests
function(add_selenium_test test)
    # FIXME as of April 2025 Appium tests don't work reliably on the KDE CI anymore :(
    if (DEFINED ENV{KDECI_BUILD})
        message("Skipping appium-${test} on CI!")
        return()
    endif()

    if (SeleniumWebDriverATSPI_FOUND OR (CMAKE_SYSTEM_NAME MATCHES "Linux" AND DEFINED ENV{KDECI_BUILD}))
        add_test(NAME appium-${test} COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/${test}.py)
        set_tests_properties(appium-${test} PROPERTIES
            ENVIRONMENT "USE_CUSTOM_BUS=1;QT_QUICK_CONTROLS_MOBILE=1;QT_QUICK_CONTROLS_STYLE=org.kde.breeze;LANG=en_US.utf-8"
            TIMEOUT 120
        )
    endif()
endfunction()

add_selenium_test(apptest)
add_selenium_test(passtest)
add_selenium_test(onlineimporttest)
if (NOT Qt6Core_VERSION VERSION_EQUAL 6.8.0 OR NOT DEFINED ENV{KDECI_BUILD}) # missing https://codereview.qt-project.org/c/qt/qtdeclarative/+/599986
add_selenium_test(reservationtest)
endif()
add_selenium_test(settingstest)
if (NOT Qt6Core_VERSION VERSION_EQUAL 6.8.0 OR NOT DEFINED ENV{KDECI_BUILD}) # missing https://codereview.qt-project.org/c/qt/qtdeclarative/+/599986
add_selenium_test(tripgrouptest)
endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kde-itinerary\")

add_subdirectory(solidextras)
add_subdirectory(weather)
add_subdirectory(kandroidextras)
add_subdirectory(gpx)
add_subdirectory(calendarextras)
add_subdirectory(app)
add_subdirectory(matrix)

if (TARGET KF6::FileMetaData)
    add_subdirectory(metadataextractor)
endif()
if (TARGET KF6::KIOWidgets)
    add_subdirectory(thumbnailer)
endif()

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(pkpassviewer pkpassviewer.cpp pkpassviewer.qrc)
target_link_libraries(pkpassviewer PRIVATE itinerary itineraryplugin KMatrixplugin KF6::I18nQml)

add_executable(journeyquerytest journeyquerytest.cpp journeyquerytest.qrc)
target_link_libraries(journeyquerytest PRIVATE itinerary KF6::I18nQml)

add_executable(vehiclelayoutviewer vehiclelayoutviewer.cpp vehiclelayoutviewer.qrc)
target_link_libraries(vehiclelayoutviewer PRIVATE itinerary KF6::I18nQml)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-itinerary.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-itinerary.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/itinerary_version_detailed.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/itinerary_version_detailed.h)

add_library(itinerary STATIC)
target_sources(itinerary PRIVATE
    applicationcontroller.cpp
    calendarhelper.cpp
    clipboard.cpp
    costaccumulator.cpp
    countrysubdivisionmodel.cpp
    documentmanager.cpp
    documentsmodel.cpp
    downloadjob.cpp
    favoritelocationmodel.cpp
    filehelper.cpp
    genericpkpass.cpp
    gpxexport.cpp
    healthcertificatemanager.cpp
    importcontroller.cpp
    importexport.cpp
    intenthandler.cpp
    journeysectionmodel.cpp
    json.cpp
    jsonio.cpp
    kdeconnect.cpp
    livedata.cpp
    livedatamanager.cpp
    localizer.cpp
    locationhelper.cpp
    locationinformation.cpp
    mapdownloadmanager.cpp
    matrixcontroller.cpp
    matrixsynccontent.cpp
    matrixsyncinboundstatequeue.cpp
    matrixsyncoutboundstatequeue.cpp
    matrixsyncstateevent.cpp
    navigationcontroller.cpp
    nominatimimportjob.cpp
    notificationhelper.cpp
    onlineticketimporter.cpp
    onlineticketretrievaljob.cpp
    osmimportjob.cpp
    passmanager.cpp
    permissionmanager.cpp
    pkpassimageprovider.cpp
    pkpassmanager.cpp
    publictransport.cpp
    publictransportmatcher.cpp
    qmlsingletons.h
    reservationhelper.cpp
    reservationmanager.cpp
    reservationonlinepostprocessor.cpp
    settings.cpp
    statisticsmodel.cpp
    statisticstimerangemodel.cpp
    tickettokenmodel.cpp
    timelinedelegatecontroller.cpp
    timelineelement.cpp
    timelinemodel.cpp
    timelinesectiondelegatecontroller.cpp
    traewellingcontroller.cpp
    transfer.cpp
    transferdelegatecontroller.cpp
    transfermanager.cpp
    tripgroup.cpp
    tripgroupcontroller.cpp
    tripgroupfilterproxymodel.cpp
    tripgrouplocationmodel.cpp
    tripgroupmanager.cpp
    tripgroupmapmodel.cpp
    tripgroupmodel.cpp
    tripgroupsplitmodel.cpp
    util.cpp
    weatherforecastmodel.cpp
    weatherinformation.cpp
)

ecm_add_qml_module(itinerary GENERATE_PLUGIN_SOURCE
    URI org.kde.itinerary
    IMPORTS
        org.kde.itinerary.weather
        org.kde.itinerary.matrix
    QML_FILES
        Main.qml
        AboutPage.qml
        ActionsCard.qml
        AlternativeJourneyPage.qml
        BarcodeContainer.qml
        BarcodeScanModeController.qml
        BarcodeScanModeButton.qml
        BarcodeScannerPage.qml
        BoardingPass.qml
        BoatDelegate.qml
        BoatEditor.qml
        BoatPage.qml
        BookingCard.qml
        BookingEditorCard.qml
        BusDelegate.qml
        BusEditor.qml
        BusPage.qml
        CardPageTitle.qml
        CalendarSelectionDialog.qml
        CarRentalDelegate.qml
        CarRentalPage.qml
        ContactCard.qml
        ContactEditorCard.qml
        CountryComboBoxDelegate.qml
        CurrencyConverterDelegate.qml
        DepartureQueryPage.qml
        DetailsPage.qml
        DevelopmentModePage.qml
        DocumentsCard.qml
        EditorPage.qml
        EventDelegate.qml
        EventEditor.qml
        EventPage.qml
        EventTicket.qml
        ExportMenuDialog.qml
        FavoriteLocationPage.qml
        FlightDelegate.qml
        FlightEditor.qml
        FlightPage.qml
        FormDateTimeEditDelegate.qml
        FormPlaceDelegate.qml
        FormPlaceEditorDelegate.qml
        FormPlatformDelegate.qml
        FormPriceDelegate.qml
        FormPriceEditDelegate.qml
        GenericPass.qml
        GenericPkPassPage.qml
        HealthCertificateBarcode.qml
        HealthCertificateRecovery.qml
        HealthCertificatePage.qml
        HealthCertificateTest.qml
        HealthCertificateVaccination.qml
        HotelDelegate.qml
        HotelEditor.qml
        HotelPage.qml
        ImportAction.qml
        ImportPage.qml
        IndoorMapGateSheet.qml
        IndoorMapInfoSheet.qml
        IndoorMapPage.qml
        IntermediateStopSelector.qml
        JourneyDelegateHeader.qml
        JourneyFilterPage.qml
        JourneyPathPage.qml
        JourneyRequestPage.qml
        JourneyQueryPage.qml
        JourneySectionDelegate.qml
        JourneySectionMapView.qml
        JourneySectionPage.qml
        JourneySectionStopDelegate.qml
        JourneySectionStopDelegateLineSegment.qml
        JourneySummaryDelegate.qml
        LiveStatusPage.qml
        LocationInfoDelegate.qml
        LocationPicker.qml
        MapCircle.qml
        MapPin.qml
        MapStopoverInfoSheetDrawer.qml
        MapView.qml
        MatrixRoomSelectionSheet.qml
        MatrixKeyVerificationPage.qml
        NavigationBar.qml
        MyDataPage.qml
        OnlineImportPage.qml
        PassPage.qml
        PassDelegate.qml
        PkPassBarcode.qml
        PkPassPage.qml
        ProgramMembershipCard.qml
        ProgramMembershipEditorCard.qml
        ProgramMembershipEditor.qml
        ProgramMembershipPage.qml
        ReservationDocumentsCard.qml
        RestaurantDelegate.qml
        RestaurantEditor.qml
        RestaurantPage.qml
        SeatRowFormCard.qml
        SettingsPage.qml
        SheetDrawer.qml
        StatisticsDelegate.qml
        StatisticsPage.qml
        StopoverDetailsPage.qml
        StopoverInformationSheet.qml
        StopoverFormDelegate.qml
        StopPickerPage.qml
        TicketEditor.qml
        TicketPage.qml
        TicketTokenDelegate.qml
        TicketTokenEditorCard.qml
        TimelineDelegateArrivalLayout.qml
        TimelineDelegate.qml
        TimelineDelegateDepartureLayout.qml
        TimelineDelegateIntermediateStopsButton.qml
        TimelineDelegateIntermediateStopsView.qml
        TimelineDelegateSeatRow.qml
        TimelineDelegateSeatRowLabel.qml
        TimelineSectionDelegate.qml
        TouristAttractionDelegate.qml
        TouristAttractionPage.qml
        TrainDelegate.qml
        TrainEditor.qml
        TrainPage.qml
        TransferDelegate.qml
        TransferPage.qml
        TripGroupDelegate.qml
        TripGroupEditorDialog.qml
        TripGroupMapPage.qml
        TripGroupMergeDialog.qml
        TripGroupPage.qml
        TripGroupSelectorCard.qml
        TripGroupSelectorDialog.qml
        TripGroupSplitPage.qml
        TripGroupsPage.qml
        VehicleLayoutPage.qml
        VehicleSectionDialog.qml
        VerticalNavigationButton.qml
        WeatherForecastDelegate.qml
        WeatherForecastPage.qml
        WelcomePage.qml

        onlineimport/db.qml
        onlineimport/sncf.qml
)

ecm_qt_declare_logging_category(itinerary
    HEADER logging.h
    IDENTIFIER Log
    CATEGORY_NAME org.kde.itinerary
    DESCRIPTION "KDE Itinerary app"
    EXPORT ITINERARY 
)

target_link_libraries(itinerary PUBLIC
    itinerary-weather
    itinerary-weatherplugin
    SolidExtras
    GpxIo
    KPublicTransport
    KPublicTransportOnboard
    KOSMIndoorMap
    KPim6::Itinerary
    KPim6::PkPass
    KPim6::Mime
    KF6::CalendarCore
    KF6::I18n
    KF6::I18nLocaleData
    KF6::Contacts
    KF6::CoreAddons
    KF6::Notifications
    KF6::Holidays
    KF6::UnitConversion
    Qt::Network
    Qt::Quick
    Qt::Positioning
    QCoro6::Core
    QCoro6::Network
PRIVATE
    Qt::CorePrivate
    Qt6Keychain::Qt6Keychain
)
if (HAVE_MATRIX)
    target_link_libraries(itinerary PUBLIC KMatrix)
endif()

if (TARGET KHealthCertificate)
    target_link_libraries(itinerary PRIVATE KHealthCertificate)
endif()

add_executable(itinerary-app ${itinerary_app_srcs})
target_sources(itinerary-app PRIVATE
    main.cpp
    developmentmodecontroller.cpp
    factory.cpp
    migrator.cpp
    notificationconfigcontroller.cpp
    notifyrc.qrc
    unitconversion.cpp

    images/images.qrc
)
target_include_directories(itinerary-app PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(itinerary-app PRIVATE
    itinerary
    itineraryplugin
    KF6::I18nQml
    Qt::QuickControls2
    KCalendarCoreExtras
    KMatrixplugin
)
if (ANDROID)
    target_link_libraries(itinerary PUBLIC KAndroidExtras PRIVATE Qt::CorePrivate)
    # explicitly add runtime dependencies and transitive link dependencies,
    # so androiddeployqt picks them up
    target_link_libraries(itinerary-app PRIVATE
        KF6::Archive
        KF6::ColorScheme
        KF6::Kirigami
        Qt::Svg
        Qt::CorePrivate
        KF6::Prison
        OpenSSL::SSL
    )

    kirigami_package_breeze_icons(ICONS
        ${KIRIGAMI_ADDONS_ICONS}
        ${KPUBLICTRANSPORT_ICONS}

        applications-development-symbolic
        application-pdf
        arrow-down
        arrow-left
        arrow-right
        arrow-up
        backup
        bookmarks
        call-start
        channel-insecure-symbolic
        channel-secure-symbolic
        checkmark
        clock
        cloud-upload
        crosshairs
        cross-shape
        dialog-cancel
        dialog-close
        dialog-error-symbolic
        dialog-ok
        document-edit
        document-export-symbolic
        document-import-symbolic
        document-open
        document-save
        document-save-as-symbolic
        documentinfo
        donate-symbolic
        download
        edit-copy-symbolic
        edit-cut
        edit-delete
        edit-download
        edit-paste
        edit-rename
        emblem-important
        emblem-shared-symbolic
        filter-symbolic
        flag
        flashlight-off
        flashlight-on
        folder-documents-symbolic
        format-list-unordered
        globe-symbolic
        go-down-symbolic
        go-home-symbolic
        go-next-symbolic
        go-up-symbolic
        help-about-symbolic
        help-contents
        license
        list-add
        mail-attachment-symbolic
        mail-message-new
        map-globe
        map-gnomonic
        map-symbolic
        media-playback-playing
        media-playback-start
        media-playback-stop
        meeting-attending
        merge
        message-rfc822
        network-disconnect-symbolic
        notifications
        question
        raindrop
        reverse
        search
        security-high
        security-medium-symbolic
        security-low
        settings-configure
        speedometer
        split
        temperature-cold
        temperature-normal
        temperature-warm
        tools-report-bug-symbolic
        view-barcode-qr
        view-calendar
        view-calendar-day
        view-currency-list
        view-list-details
        view-refresh
        view-statistics-symbolic
        wallet-open
        window-close-symbolic
        zoom-in-symbolic
        zoom-out-symbolic

        weather-clear
        weather-clear-wind
        weather-clear-night
        weather-clear-wind-night
        weather-few-clouds
        weather-few-clouds-wind
        weather-few-clouds-night
        weather-few-clouds-wind-night
        weather-clouds
        weather-clouds-wind
        weather-clouds-night
        weather-clouds-wind-night
        weather-showers-day
        weather-showers-night
        weather-showers-scattered-day
        weather-showers-scattered-night
        weather-snow-scattered-day
        weather-snow-scattered-night
        weather-storm-day
        weather-storm-night
        weather-many-clouds
        weather-many-clouds-wind
        weather-fog
        weather-showers
        weather-showers-scattered
        weather-hail
        weather-snow
        weather-snow-scattered
        weather-storm
    )

    ecm_add_android_apk(itinerary-app ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
    install(FILES sc-apps-org.kde.itinerary.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/ RENAME org.kde.itinerary.svg)
else ()
    target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
    target_link_libraries(itinerary-app PRIVATE
        KF6::DBusAddons
        KF6::WindowSystem

=== src/matrix/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KMatrix STATIC)
ecm_add_qml_module(KMatrix
    GENERATE_PLUGIN_SOURCE
    URI "org.kde.itinerary.matrix"
    DEPENDENCIES "QtCore"
)

if (HAVE_MATRIX)
    target_sources(KMatrix PRIVATE
        matrixbeacon.cpp
        matrixmanager.cpp
        matrixroomsmodel.cpp
        matrixroomssortproxymodel.cpp
        types.h
    )

    target_link_libraries(KMatrix PUBLIC QuotientQt6 PRIVATE KF6::I18n)

    ecm_generate_headers(KMatrix_FORWARDING_HEADERS
        HEADER_NAMES
            MatrixManager
            MatrixRoomsModel
        PREFIX KMatrix
        REQUIRED_HEADERS KMatrix_HEADERS
    )
else()
    target_sources(KMatrix PRIVATE
        matrixbeaconstub.cpp
    )
endif()

=== src/metadataextractor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Kai Uwe Broulik <kde@broulik.de>
# SPDX-License-Identifier: BSD-3-Clause

add_library(kfilemetadata_itineraryextractor MODULE itineraryextractor.cpp)

target_link_libraries(kfilemetadata_itineraryextractor
    KF6::FileMetaData
    KF6::I18n
    Qt::Gui
    KPim6::Itinerary
    KPim6::PkPass
)

set_target_properties(kfilemetadata_itineraryextractor PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kfilemetadata")
install(TARGETS kfilemetadata_itineraryextractor
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kfilemetadata)

=== src/weather/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(itinerary-weather STATIC)
ecm_add_qml_module(itinerary-weather
    GENERATE_PLUGIN_SOURCE
    URI "org.kde.itinerary.weather"
    DEPENDENCIES "QtCore"
)
target_sources(itinerary-weather PRIVATE
    weatherforecast.cpp
    weatherforecastmanager.cpp
)

target_link_libraries(itinerary-weather
    PUBLIC
        Qt::Core
        Qt::Qml
    PRIVATE
        KF6::Holidays
        Qt::Network
        ZLIB::ZLIB
)

=== debian/changelog ===
itinerary (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:32 +0000

=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-tests <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 1.5.0~),
               kosmindoormap-dev (>= 25.11.80~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 6.6~),
               libkf6calendarcore-dev (>= 6.6~),
               libkf6colorscheme-dev (>= 6.6~),
               libkf6contacts-dev (>= 6.6~),
               libkf6coreaddons-dev (>= 6.6~),
               libkf6crash-dev (>= 6.6~),
               libkf6dbusaddons-dev (>= 6.6~),
               libkf6filemetadata-dev (>= 6.6~),
               libkf6holidays-dev (>= 6.6~),
               libkf6i18n-dev (>= 6.6~),
               libkf6kio-dev (>= 6.6~),
               libkf6networkmanagerqt-dev (>= 6.6~),
               libkf6notifications-dev (>= 6.6~),
               libkf6prison-dev (>= 6.6~),
               libkf6qqc2desktopstyle-dev (>= 6.6~),
               libkf6solid-dev (>= 6.6~),
               libkf6unitconversion-dev (>= 6.6~),
               libkf6windowsystem-dev (>= 6.6~),
               libkirigami-dev (>= 6.6~),
               libkitinerary-dev (>= 25.11.80~),
               libkpkpass-dev (>= 25.11.80~),
               libkpublictransport-dev (>= 25.11.80~),
               libquotient-dev (>= 0.7.2~),
               libssl-dev,
               locales-all <!nocheck>,
               qcoro-qt6-dev,
               qml6-module-qtlocation <!nocheck>,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.

## itinerary 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -55,8 +55,8 @@
 endif()
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
 find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
-find_package(KPim6PkPass 6.5.80 CONFIG REQUIRED)
-find_package(KPim6Itinerary 6.5.80 CONFIG REQUIRED)
+find_package(KPim6PkPass 6.5.90 CONFIG REQUIRED)
+find_package(KPim6Itinerary 6.5.90 CONFIG REQUIRED)
 find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)

=== debian/changelog ===
itinerary (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:39 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 25.11.80~),
+               kosmindoormap-dev (>= 25.11.90~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -33,9 +33,9 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 25.11.80~),
-               libkpkpass-dev (>= 25.11.80~),
-               libkpublictransport-dev (>= 25.11.80~),
+               libkitinerary-dev (>= 25.11.90~),
+               libkpkpass-dev (>= 25.11.90~),
+               libkpublictransport-dev (>= 25.11.90~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,

## itinerary 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -55,8 +55,8 @@
 endif()
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
 find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
-find_package(KPim6PkPass 6.5.90 CONFIG REQUIRED)
-find_package(KPim6Itinerary 6.5.90 CONFIG REQUIRED)
+find_package(KPim6PkPass 6.6.0 CONFIG REQUIRED)
+find_package(KPim6Itinerary 6.6.0 CONFIG REQUIRED)
 find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)

=== debian/changelog ===
itinerary (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:14:50 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 25.11.90~),
+               kosmindoormap-dev (>= 25.12.0~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -33,9 +33,9 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 25.11.90~),
-               libkpkpass-dev (>= 25.11.90~),
-               libkpublictransport-dev (>= 25.11.90~),
+               libkitinerary-dev (>= 25.12.0~),
+               libkpkpass-dev (>= 25.12.0~),
+               libkpublictransport-dev (>= 25.12.0~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,

## itinerary 25.12.0+p24.04+vstable+git20251231.0353

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20251231.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:53:31 +0000

itinerary (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:57 +1000

itinerary (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:25 +1000

## itinerary 25.12.0+p24.04+vstable+git20260103.0545

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20260103.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:45:27 +0000

## itinerary 25.12.0+p24.04+vstable+git20260104.0129

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20260104.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:29:24 +0000

## itinerary 25.12.0+p24.04+vstable+git20260105.1155

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20260105.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:55:38 +0000

## itinerary 25.12.0+p24.04+vunstable+git20260105.1444

=== debian/changelog ===
itinerary (25.12.0+p24.04+vunstable+git20260105.1444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:44:39 +0000

## itinerary 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     clipboard.cpp
     costaccumulator.cpp
     countrysubdivisionmodel.cpp
+    datetimehelper.cpp
     documentmanager.cpp
     documentsmodel.cpp
     downloadjob.cpp
@@ -439,4 +440,3 @@
     target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
     target_link_libraries(itinerary-app PRIVATE
         KF6::DBusAddons
-        KF6::WindowSystem

=== debian/changelog ===
itinerary (25.12.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Upload to unstable (Closes: #1125730).
  * Re-enable tests.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 22:08:39 +0100

itinerary (25.12.1-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Update project homepage.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Refresh patches.
  * Refresh qmldeps overrides.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Refresh copyright information.
  * Add missing runtime dependency on qml6-module-org-kde-pkpass.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 17:40:50 +0100

itinerary (24.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Allow tests to fail everywhere (Closes: #1122008).

 -- Patrick Franz <deltaone@debian.org>  Fri, 05 Dec 2025 18:12:23 +0100

=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Scarlett Moore <sgclark@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-tests <!nocheck>,
               extra-cmake-modules (>= 6.15~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 1.9.0~),
               kosmindoormap-dev (>= 25.08~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 6.15~),
               libkf6calendarcore-dev (>= 6.15~),
               libkf6colorscheme-dev (>= 6.15~),
               libkf6contacts-dev (>= 6.15~),
               libkf6coreaddons-dev (>= 6.15~),
               libkf6crash-dev (>= 6.15~),
               libkf6dbusaddons-dev (>= 6.15~),
               libkf6filemetadata-dev (>= 6.15~),
               libkf6holidays-dev (>= 6.15~),
               libkf6i18n-dev (>= 6.15~),
               libkf6kio-dev (>= 6.15~),
               libkf6networkmanagerqt-dev (>= 6.6~),
               libkf6notifications-dev (>= 6.15~),
               libkf6prison-dev (>= 6.15~),
               libkf6qqc2desktopstyle-dev (>= 6.15~),
               libkf6solid-dev (>= 6.15~),
               libkf6unitconversion-dev (>= 6.15~),
               libkf6windowsystem-dev (>= 6.15~),
               libkirigami-dev (>= 6.15~),
               libkitinerary-dev (>= 25.12.0~),
               libkpkpass-dev (>= 25.12.0~),
               libkpublictransport-dev (>= 25.08~),
               libquotient-dev (>= 0.9.0~),
               libssl-dev,
               locales-all <!nocheck>,
               qcoro-qt6-dev,
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.7~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.7~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/itinerary/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary

Package: itinerary
Architecture: any
Depends: qml6-module-org-kde-pkpass,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.

## itinerary 25.12.1+p24.04+vstable+git20260107.0345

=== debian/changelog ===
itinerary (25.12.1+p24.04+vstable+git20260107.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:45:32 +0000

itinerary (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:32 +1000

## itinerary 25.12.1+p24.04+vstable+git20260109.0022

=== debian/changelog ===
itinerary (25.12.1+p24.04+vstable+git20260109.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 00:22:58 +0000

## itinerary 25.12.1+p24.04+vstable+git20260201.0240

=== debian/changelog ===
itinerary (25.12.1+p24.04+vstable+git20260201.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:40:18 +0000

## itinerary 25.12.1+p24.04+vunstable+git20260204.0042

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -31,7 +31,6 @@
 include(ECMFeatureSummary)
 include(ECMAddAndroidApk)
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -55,8 +54,8 @@
 endif()
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
 find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
-find_package(KPim6PkPass 6.6.0 CONFIG REQUIRED)
-find_package(KPim6Itinerary 6.6.0 CONFIG REQUIRED)
+find_package(KPim6PkPass 6.5.41 CONFIG REQUIRED)
+find_package(KPim6Itinerary 6.6.40 CONFIG REQUIRED)
 find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)
@@ -67,6 +66,7 @@
 find_package(QuotientQt6 0.9.0 CONFIG)
 find_package(SeleniumWebDriverATSPI)
 find_package(QCoro6 REQUIRED COMPONENTS Core Network)
+find_package(QMapLibre COMPONENTS Core Location)
 
 set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
 set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
@@ -114,7 +114,15 @@
 else()
     set(HAVE_MATRIX FALSE)
 endif()
+if (QMapLibre_FOUND)
+    set(HAVE_MAPLIBRE TRUE)
+endif()
 
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
 ecm_set_disabled_deprecation_versions(
     QT ${QT_MIN_VERSION}
     KF 6.12

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,8 @@
 ecm_add_test(costaccumulatortest.cpp LINK_LIBRARIES Qt::Test itinerary)
 ecm_add_test(localizertest.cpp LINK_LIBRARIES Qt::Test itinerary)
 ecm_add_test(utiltest.cpp LINK_LIBRARIES Qt::Test itinerary)
+ecm_add_test(tickettokenmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
+ecm_add_test(reservationonlinepostprocessortest.cpp mocknetworkaccessmanager.cpp TEST_NAME reservationonlinepostprocessortest LINK_LIBRARIES Qt::Test itinerary)
 
 ecm_add_test(weathertest.cpp LINK_LIBRARIES Qt::Test itinerary-weather)
 target_include_directories(weathertest PRIVATE ${CMAKE_BINARY_DIR})

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -177,6 +177,7 @@
         ProgramMembershipEditorCard.qml
         ProgramMembershipEditor.qml
         ProgramMembershipPage.qml
+        ReservationDeletionDialog.qml
         ReservationDocumentsCard.qml
         RestaurantDelegate.qml
         RestaurantEditor.qml
@@ -241,6 +242,7 @@
     itinerary-weather
     itinerary-weatherplugin
     SolidExtras
+    SolidExtrasplugin
     GpxIo
     KPublicTransport
     KPublicTransportOnboard
@@ -265,6 +267,14 @@
     Qt::CorePrivate
     Qt6Keychain::Qt6Keychain
 )
+
+if (QMapLibre_FOUND)
+    target_link_libraries(itinerary PUBLIC
+        QMapLibre::Core
+        QMapLibre::Location
+)
+endif()
+
 if (HAVE_MATRIX)
     target_link_libraries(itinerary PUBLIC KMatrix)
 endif()
@@ -285,6 +295,7 @@
 
     images/images.qrc
 )
+
 target_include_directories(itinerary-app PRIVATE ${CMAKE_BINARY_DIR})
 target_link_libraries(itinerary-app PRIVATE
     itinerary
@@ -435,8 +446,3 @@
     )
 
     ecm_add_android_apk(itinerary-app ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
-    install(FILES sc-apps-org.kde.itinerary.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/ RENAME org.kde.itinerary.svg)
-else ()
-    target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
-    target_link_libraries(itinerary-app PRIVATE
-        KF6::DBusAddons

=== src/solidextras/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

add_library(SolidExtras STATIC
    brightnessmanager.cpp
    lockmanager.cpp
)

ecm_add_qml_module(SolidExtras GENERATE_PLUGIN_SOURCE
    URI org.kde.solidextras
)

if (ANDROID)
    add_subdirectory(android)
    target_sources(SolidExtras PRIVATE
        androidbrightnessbackend.cpp
        androidlockbackend.cpp
    )
else()
    qt_add_dbus_interface(SolidExtras_SRCS org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml brightnesscontroldbusinterface)
    qt_add_dbus_interface(SolidExtras_SRCS org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    target_sources(SolidExtras PRIVATE
        solidbrightnessbackend.cpp
        freedesktoplockbackend.cpp
        ${SolidExtras_SRCS}
    )
endif()

target_link_libraries(SolidExtras PUBLIC Qt::Core)

if (NOT ANDROID)
    target_link_libraries(SolidExtras PRIVATE Qt::DBus)
endif()

=== debian/changelog ===
itinerary (25.12.1+p24.04+vunstable+git20260204.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:42:08 +0000
